Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.util
Class ClassStack

    java.lang.Object
      org.apache.bcel.util.ClassStack

All Implemented Interfaces:
  Serializable

    public class ClassStack

extends Object
implements Serializable

Utility class implementing a (typesafe) stack of JavaClass objects.

Version:
  $Id: ClassStack.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `Stack`, Serialized Form

Constructor Summary
`ClassStack()`

Method Summary
`boolean` | `empty()`
`JavaClass` | `pop()`
`void` | `push(JavaClass clazz)`
`JavaClass` | `top()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassStack

    public ClassStack()

Method Detail

### push

    public void push(JavaClass clazz)

### pop

    public JavaClass pop()

### top

    public JavaClass top()

### empty

    public boolean empty()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.